Package ru.bitel.bgbilling.modules.bill.common.bean

# Class InvoiceDocument

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.bill.common.bean.AbstractBillDocument
ru.bitel.bgbilling.modules.bill.common.bean.InvoiceDocument

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class InvoiceDocument extends AbstractBillDocument

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvoiceDocument()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getUnloadStatus()`
  `boolean`
  `isShowReady()`
  `void`
  `setShowReady(boolean showReady)`
  `void`
  `setUnloadStatus(int unloadStatus)`

  ### Methods inherited from class ru.bitel.bgbilling.modules.bill.common.bean.AbstractBillDocument

  `getAddress, getContractComment, getContractTitle, getCorrection, getDateCreated, getDocument, getDocumentData, getDocumentSpecId, getDocumentSpecTitle, getMonth, getNumber, getNumberFormatted, getNumberInMonth, getNumberInYear, getNumerationPoolId, getPositionList, getRecipient, getTotal, getUserId, getYear, setAddress, setContractComment, setContractId, setContractTitle, setCorrection, setDateCreated, setDocument, setDocumentData, setDocumentSpecId, setDocumentSpecTitle, setMonth, setNumber, setNumberFormatted, setNumberInMonth, setNumberInYear, setNumerationPoolId, setPositionList, setRecipient, setTotal, setUserId, setYear`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvoiceDocument

    public InvoiceDocument()

- ## Method Details

  - ### isShowReady

    public boolean isShowReady()

  - ### setShowReady

    public void setShowReady(boolean showReady)

  - ### getUnloadStatus

    public int getUnloadStatus()

  - ### setUnloadStatus

    public void setUnloadStatus(int unloadStatus)